var urlSearchParams = new URLSearchParams(window.location.search);
// 把键值对列表转换为一个对象
var params = Object.fromEntries(urlSearchParams.entries());

if (params.l) {
  lan = params.l;
} else if (getCookie('login_lang')) {
  lan = unescape(window.atob(getCookie('login_lang')));
} else {
  lan = sessionStorage.getItem('tempLang') || lan;
}

UNAS.CurrentLanguage = lan;

var UToken;
var tokenArr = document.cookie.split("; ");

if (params.t) {
  UToken = params.t;
} else {
  for (var i = 0; i < tokenArr.length; i++) {
    if (tokenArr[i].search("PHPSESSID") !== -1) {
      UToken = tokenArr[i].split("=")[1]
    }
  }
}


var OnChangeLanguage_netdrive = null;
var pageTranslators_netdrive = [];

OnChangeLanguage_netdrive = function(e) {
  for (var i = 0; i < pageTranslators_netdrive.length; i++) {
    var node = pageTranslators_netdrive[i].node;
    var p = pageTranslators_netdrive[i].translateProperty;
    node[p] = window.top.UNAS._(pageTranslators_netdrive[i].originalText);
  }

  function netdriveTranslator(id) {
    let rt_c = document.getElementById(id);
    if (!rt_c) {
      return;
    }
    var tmp_pageTranslators = window.top.UNAS.CreateNodesTranslators(rt_c);
    pageTranslators_netdrive = pageTranslators_netdrive.concat(tmp_pageTranslators);
    OnChangeLanguage_netdrive();
  }
  window.netdriveTranslator = netdriveTranslator;
};
OnChangeLanguage_netdrive();
window.top.UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage_netdrive);
window.addEventListener("unload", function(e) {
  window.top.UNAS.Event.removeEvent('ChangeLanguage', OnChangeLanguage_netdrive);
}, false);


function getClientWH() {
  var clientHeight = 0;
  if (document.body.clientHeight && document.documentElement.clientHeight) {
    clientHeight = Math.min(document.body.clientHeight, document.documentElement.clientHeight);
    clientWidth = Math.min(document.body.clientWidth, document.documentElement.clientWidth);
  } else {
    clientHeight = Math.max(document.body.clientHeight, document.documentElement.clientHeight);
    clientWidth = Math.max(document.body.clientWidth, document.documentElement.clientWidth);
  }

  return {
    w: clientWidth,
    h: clientHeight
  };
}

function selectOption() {
  var ev = window.event || arguments.callee.caller.arguments[0];
  var target = ev.currentTarget;
  ev.stopPropagation();
  jQuery(target).parents('.unas_items').siblings().find('.option-list').slideUp();
  jQuery(target).find('.option-list').slideToggle();

  jQuery(target).find('.option-list').children().each(function(i, e) {
    e.onclick = function() {
      jQuery(target).find('.inputtxt').text(jQuery(this).text());
      jQuery(target).find('input').val(jQuery(this).attr('value')).trigger("change");
    }
  })

  document.onclick = function(e) {
    e.stopPropagation();
    jQuery('.option-list').slideUp();
  }

}
